<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:36:05 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Constant Field Values (org.eclipse.papyrus.designer.languages.cpp.codegen 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Constant Field Values (org.eclipse.papyrus.designer.languages.cpp.codegen 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Constant Field Values" class="title">Constant Field Values</h1>
<h2 title="Contents">Contents</h2>
<ul>
<li><a href="#org.eclipse">org.eclipse.*</a></li>
</ul>
</div>
<div class="constantValuesContainer"><a name="org.eclipse">
<!--   -->
</a>
<h2 title="org.eclipse">org.eclipse.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.languages.cpp.codegen.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen">Activator</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.codegen.Activator.PLUGIN_ID">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/Activator.html#PLUGIN_ID">PLUGIN_ID</a></code></td>
<td class="colLast"><code>"org.eclipse.papyrus.designer.languages.cpp.codegen"</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.languages.cpp.codegen.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/Constants.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen">Constants</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.codegen.Constants.cppIncBodyEnd">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/Constants.html#cppIncBodyEnd">cppIncBodyEnd</a></code></td>
<td class="colLast"><code>"// End of Include declaration (body)"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.codegen.Constants.cppIncBodyStart">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/Constants.html#cppIncBodyStart">cppIncBodyStart</a></code></td>
<td class="colLast"><code>"// Include from Include declaration (body)"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.codegen.Constants.cppIncPreBodyEnd">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/Constants.html#cppIncPreBodyEnd">cppIncPreBodyEnd</a></code></td>
<td class="colLast"><code>"// End of Include stereotype (pre-body)"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.codegen.Constants.cppIncPreBodyStart">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/Constants.html#cppIncPreBodyStart">cppIncPreBodyStart</a></code></td>
<td class="colLast"><code>"// Include from Include stereotype (pre-body)"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.codegen.Constants.derivedIncludes">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/Constants.html#derivedIncludes">derivedIncludes</a></code></td>
<td class="colLast"><code>"// Derived includes directives"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.codegen.Constants.DOT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/Constants.html#DOT">DOT</a></code></td>
<td class="colLast"><code>"."</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.codegen.Constants.forwardDecl">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/Constants.html#forwardDecl">forwardDecl</a></code></td>
<td class="colLast"><code>"// forward declarations"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.codegen.Constants.includeHFile">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/Constants.html#includeHFile">includeHFile</a></code></td>
<td class="colLast"><code>"// include associated header file"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.codegen.Constants.staticAttributes">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/Constants.html#staticAttributes">staticAttributes</a></code></td>
<td class="colLast"><code>"// static attributes (if any)"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.codegen.Constants.undefinedType">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/Constants.html#undefinedType">undefinedType</a></code></td>
<td class="colLast"><code>"undefined"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.languages.cpp.codegen.preferences.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/preferences/CppCodeGenConstants.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.preferences">CppCodeGenConstants</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.codegen.preferences.CppCodeGenConstants.P_COMMENT_HEADER">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/preferences/CppCodeGenConstants.html#P_COMMENT_HEADER">P_COMMENT_HEADER</a></code></td>
<td class="colLast"><code>"commentHeader"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.codegen.preferences.CppCodeGenConstants.P_HEADER_SUFFIX">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/preferences/CppCodeGenConstants.html#P_HEADER_SUFFIX">P_HEADER_SUFFIX</a></code></td>
<td class="colLast"><code>"headSuffix"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.codegen.preferences.CppCodeGenConstants.P_IMPLEM_SUFFIX">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/preferences/CppCodeGenConstants.html#P_IMPLEM_SUFFIX">P_IMPLEM_SUFFIX</a></code></td>
<td class="colLast"><code>"implSuffix"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.codegen.preferences.CppCodeGenConstants.P_OUT_INOUT_OP">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/preferences/CppCodeGenConstants.html#P_OUT_INOUT_OP">P_OUT_INOUT_OP</a></code></td>
<td class="colLast"><code>"outInoutOp"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.codegen.preferences.CppCodeGenConstants.P_PROJECT_PREFIX">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/preferences/CppCodeGenConstants.html#P_PROJECT_PREFIX">P_PROJECT_PREFIX</a></code></td>
<td class="colLast"><code>"projectPrefix"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.languages.cpp.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/transformation/CppLocationStrategy.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.transformation">CppLocationStrategy</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.codegen.transformation.CppLocationStrategy.PKG_PREFIX">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/transformation/CppLocationStrategy.html#PKG_PREFIX">PKG_PREFIX</a></code></td>
<td class="colLast"><code>"Pkg_"</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.languages.cpp.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/transformation/CppModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.transformation">CppModelElementsCreator</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.codegen.transformation.CppModelElementsCreator.LANGUAGE_NAME">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/transformation/CppModelElementsCreator.html#LANGUAGE_NAME">LANGUAGE_NAME</a></code></td>
<td class="colLast"><code>"C++"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.languages.cpp.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppGenUtils.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.utils">CppGenUtils</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.languages.cpp.codegen.utils.CppGenUtils.ANSI_C_LIB">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/utils/CppGenUtils.html#ANSI_C_LIB">ANSI_C_LIB</a></code></td>
<td class="colLast"><code>"AnsiCLibrary"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
